Loading...
Searching...
No Matches
bsplinebasis.hh File Reference

The B-spline global function space basis. More...

`#include <array>`
`#include <numeric>`
`#include <dune/common/dynmatrix.hh>`
`#include <dune/localfunctions/common/localbasis.hh>`
`#include <dune/common/diagonalmatrix.hh>`
`#include <dune/localfunctions/common/localkey.hh>`
`#include <dune/localfunctions/common/localfiniteelementtraits.hh>`
`#include <dune/geometry/type.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/leafprebasismixin.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::BSplineLocalBasis< GV, R >
| LocalBasis class in the sense of dune-localfunctions, presenting the restriction of a B-spline patch to a knot span. More...
class | Dune::Functions::BSplineLocalCoefficients< dim >
| Attaches a shape function to an entity. More...
class | Dune::Functions::BSplineLocalInterpolation< dim, LB >
| Local interpolation in the sense of dune-localfunctions, for the B-spline basis on tensor-product grids. More...
class | Dune::Functions::BSplineLocalFiniteElement< GV, R >
| LocalFiniteElement in the sense of dune-localfunctions, for the B-spline basis on tensor-product grids. More...
class | Dune::Functions::BSplinePreBasis< GV >
| Pre-basis for B-spline basis. More...
class | Dune::Functions::BSplineNode< GV >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV>
using | Dune::Functions::BSplineBasis = DefaultGlobalBasis<BSplinePreBasis<GV> >
| A global B-spline basis.

## Functions

auto | Dune::Functions::BasisFactory::bSpline (const std::vector< double > &knotVector, unsigned int order, bool makeOpen=true)
| Create a pre-basis factory that can create a B-spline pre-basis.

## Detailed Description

The B-spline global function space basis.